Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.msg
Class HL7v3MessageInfo

    java.lang.Object
      com.stc.connector.tcpip.hl7.msg.HL7v3MessageInfo

All Implemented Interfaces:
  HL7v3MessageInfoInterface

    public class HL7v3MessageInfo

extends java.lang.Object
implements HL7v3MessageInfoInterface

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2008/04/10 06:33:24 $
Author:
  Nageswara Samudrala

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7v3MessageInfo()` Constructor for HL7v3MessageInfo.
`HL7v3MessageInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor for HL7v3MessageInfo.

Method Summary
`HL7v3AcknowledgementInfoInterface` | `getHL7AcknowledgmentInfo()` Returns the hl7AcknowledgmentInfo.
`HL7CommunicationControlInfoInterface` | `getHL7CommunicationControlInfo()` Returns the hl7CommunicationControlInfo
`HL7LLPInfoInterface` | `getHL7LLPInfo()` Returns the hl7LLPInfo.
`HL7PersistInfoInterface` | `getHL7PersistInfo()` Returns the hl7PersistInfo
`HL7RecourseActionInfoInterface` | `getHL7RecourseActionInfo()` Returns the hl7RecourseActionInfo
`HL7SeqNumberInfoInterface` | `getHL7SeqNumberInfo()` Returns the hl7SeqNumberInfo.
`HL7v3TransmissionWrapperInfoInterface` | `getHL7v3TransmissionWrapperInfo()` Returns the hl7v3TranWrapperInfo
`HL7ValidationControlInfo` | `getHL7ValidationControlInfo()` Returns the hl7ValidationControlInfo
`void` | `setHL7AcknowledgmentInfo(HL7v3AcknowledgementInfo hl7AcknowledgmentInfo)` Sets the hl7AcknowledgmentInfo.
`void` | `setHL7CommunicationControlInfo(HL7CommunicationControlInfo info)` Sets the hl7CommunicationControlInfo
`void` | `setHL7LLPInfo(HL7LLPInfo hl7LLPInfo)` Sets the hl7LLPInfo.
`void` | `setHL7PersistInfo(HL7PersistInfo info)` Sets the hl7PersistInfo
`void` | `setHL7RecourseActionInfo(HL7RecourseActionInfo info)` Sets the hl7RecourseActionInfo
`void` | `setHL7SeqNumberInfo(HL7SeqNumberInfo hl7SeqNumberInfo)` Sets the hl7SeqNumberInfo.
`void` | `setHL7v3TransmissionWrapperInfo(HL7v3TransmissionWrapperInfo info)` Sets the hl7v3TranWrapperInfo
`void` | `setHL7ValidationControlInfo(HL7ValidationControlInfo info)` Sets the hl7ValidationControlInfo
`void` | `validate()` Method validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7v3MessageInfo

    public HL7v3MessageInfo()
                     throws HL7ApplicationException

  Constructor for HL7v3MessageInfo.

  Throws:
    `HL7ApplicationException`

### HL7v3MessageInfo

    public HL7v3MessageInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                     throws HL7ApplicationException

  Constructor for HL7v3MessageInfo.

  Parameters:
    `aConfiguration` - The initial configuration info
  Throws:
    `HL7ApplicationException`

Method Detail

### getHL7AcknowledgmentInfo

    public HL7v3AcknowledgementInfoInterface getHL7AcknowledgmentInfo()

  Returns the hl7AcknowledgmentInfo.

  Specified by:
    `getHL7AcknowledgmentInfo` in interface `HL7v3MessageInfoInterface`
  Returns:
    HL7v3AcknowledgementInfoInterface

### setHL7AcknowledgmentInfo

    public void setHL7AcknowledgmentInfo(HL7v3AcknowledgementInfo hl7AcknowledgmentInfo)

  Sets the hl7AcknowledgmentInfo.

  Parameters:
    `hl7AcknowledgmentInfo` - The hl7AcknowledgmentInfo to set

### getHL7LLPInfo

    public HL7LLPInfoInterface getHL7LLPInfo()

  Returns the hl7LLPInfo.

  Specified by:
    `getHL7LLPInfo` in interface `HL7v3MessageInfoInterface`
  Returns:
    HL7LLPInfoInterface

### setHL7LLPInfo

    public void setHL7LLPInfo(HL7LLPInfo hl7LLPInfo)

  Sets the hl7LLPInfo.

  Parameters:
    `hl7LLPInfo` - The hl7LLPInfo to set

### getHL7SeqNumberInfo

    public HL7SeqNumberInfoInterface getHL7SeqNumberInfo()

  Returns the hl7SeqNumberInfo.

  Specified by:
    `getHL7SeqNumberInfo` in interface `HL7v3MessageInfoInterface`
  Returns:
    HL7SeqNumberInfoInterface

### setHL7SeqNumberInfo

    public void setHL7SeqNumberInfo(HL7SeqNumberInfo hl7SeqNumberInfo)

  Sets the hl7SeqNumberInfo.

  Parameters:
    `hl7SeqNumberInfo` - The hl7SeqNumberInfo to set

### getHL7CommunicationControlInfo

    public HL7CommunicationControlInfoInterface getHL7CommunicationControlInfo()

  Returns the hl7CommunicationControlInfo

  Specified by:
    `getHL7CommunicationControlInfo` in interface `HL7v3MessageInfoInterface`
  Returns:
    hl7CommunicationControlInfo HL7CommunicationControlInfoInterface

### setHL7CommunicationControlInfo

    public void setHL7CommunicationControlInfo(HL7CommunicationControlInfo info)

  Sets the hl7CommunicationControlInfo

  Parameters:
    `info` - The HL7CommunicationControlInfo to set

### getHL7ValidationControlInfo

    public HL7ValidationControlInfo getHL7ValidationControlInfo()

  Returns the hl7ValidationControlInfo

  Returns:
    hl7ValidationControlInfo HL7ValidationControlInfo

### setHL7ValidationControlInfo

    public void setHL7ValidationControlInfo(HL7ValidationControlInfo info)

  Sets the hl7ValidationControlInfo

  Parameters:
    `info` - The HL7ValidationControlInfo to set

### getHL7RecourseActionInfo

    public HL7RecourseActionInfoInterface getHL7RecourseActionInfo()

  Returns the hl7RecourseActionInfo

  Specified by:
    `getHL7RecourseActionInfo` in interface `HL7v3MessageInfoInterface`
  Returns:
    hl7RecourseActionInfo HL7RecourseActionInfoInterface

### setHL7RecourseActionInfo

    public void setHL7RecourseActionInfo(HL7RecourseActionInfo info)

  Sets the hl7RecourseActionInfo

  Parameters:
    `info` - The HL7RecourseActionInfo to set

### getHL7PersistInfo

    public HL7PersistInfoInterface getHL7PersistInfo()

  Returns the hl7PersistInfo

  Specified by:
    `getHL7PersistInfo` in interface `HL7v3MessageInfoInterface`
  Returns:
    hl7PersistInfo HL7PersistInfoInterface

### setHL7PersistInfo

    public void setHL7PersistInfo(HL7PersistInfo info)

  Sets the hl7PersistInfo

  Parameters:
    `info` - The HL7PersistInfo to set

### getHL7v3TransmissionWrapperInfo

    public HL7v3TransmissionWrapperInfoInterface getHL7v3TransmissionWrapperInfo()

  Returns the hl7v3TranWrapperInfo

  Specified by:
    `getHL7v3TransmissionWrapperInfo` in interface `HL7v3MessageInfoInterface`
  Returns:
    hl7v3TranWrapperInfo HL7v3TransmissionWrapperInfo

### setHL7v3TransmissionWrapperInfo

    public void setHL7v3TransmissionWrapperInfo(HL7v3TransmissionWrapperInfo info)

  Sets the hl7v3TranWrapperInfo

  Parameters:
    `info` - The HL7v3TransmissionWrapperInfo to set

### validate

    public void validate()
                  throws HL7ApplicationException

  Method validate.

  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD